keelwave
API ReferenceAgent

List steps for an agent run, ordered by step_index asc

GET
/projects/{projectID}/agent/runs/{runID}/steps

Authorization

ApiKeyAuth
Authorization<token>

Format: "Bearer kw_"

In: header

Path Parameters

projectID*string

Project UUID

runID*string

Agent run UUID

Query Parameters

at?string

RFC3339 hint for chunk pruning

limit?integer

default 1000, max 1000

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/agent/runs/string/steps"
[  {    "agent_run_id": "string",    "content": "string",    "cost_usd": 0,    "id": "string",    "input_fingerprint": [      0    ],    "metadata": [      0    ],    "project_id": "string",    "step_index": 0,    "step_type": "string",    "timestamp": "string",    "tokens": 0,    "tool_input": [      0    ],    "tool_latency_ms": 0,    "tool_name": "string",    "tool_output": [      0    ],    "tool_success": true  }]